model{
  #for direct question (dq) and non-sensitive (ns) item
  for(i in 1:n.dqns){ 
    p.dqns[i] <- pi.nsi[town.dqns[i]]
    y.dqns[i] ~ dbern(p.dqns[i])
  } 
  
  #for indirect question (iq) and sensitive item (si)
  for(i in 1:n.iqsi){ 
    #calculate probabilities for bernoulli distributions
    p1[i] <-  pi.si[town.iqsi[i]]
    p0[i] <- pi.nsi[town.iqsi[i]]
    
    p1a[i] <-      pi.s*(p1[i]^y.iqsi[i])*((1-p1[i])^(1-y.iqsi[i]))
    p0a[i] <-  (1-pi.s)*(p0[i]^y.iqsi[i])*((1-p0[i])^(1-y.iqsi[i]))
    k[i] ~ dbern(p1a[i]+p0a[i])
  }
  
  #priors
  for (k in 1:ntowns){
         pi.nsi[k]       ~ dunif (0,1)
      pi.si[k]        ~ dunif (0,1)
    }
  }

