model{
  #for direct question (dq) and sensitive item (si) 
  for(i in 1:n.dqsi){ 
    tmp.dqsi[i] <- exp(int.gamma.si[town.id.dqsi[i]]+inprod(xmat.dqsi[i,],gamma.si[1:nparam]))
    p.dqsi[i] <- tmp.dqsi[i]/(1+tmp.dqsi[i])
    y.dqsi[i] ~ dbern(p.dqsi[i])
  }
  
  #priors
  for(j in 1:nparam){
    gamma.si[j]  ~ dnorm(0,1)
  }
  for (k in 1:ntowns){
    int.gamma.si[k] ~ dnorm(0,0.1)
  }
}
